clang-tools 10.0.0

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
clang::clangd::CommandMangler Struct Reference

`#include <CompileCommands.h>`

Collaboration diagram for clang::clangd::CommandMangler:
[legend]

## Public Member Functions
void | adjust (std::vector< std::string > &Cmd) const
| operator clang::tooling::ArgumentsAdjuster ()

## Static Public Member Functions
static CommandMangler | forTests ()
static CommandMangler | detect ()

## Public Attributes
llvm::Optional< std::string > | ClangPath
llvm::Optional< std::string > | ResourceDir
llvm::Optional< std::string > | Sysroot

## Detailed Description

Definition at line 25 of file CompileCommands.h.

## Member Function Documentation

## ◆ adjust()

void clang::clangd::CommandMangler::adjust | ( | std::vector< std::string > & | Cmd | ) | const

Definition at line 136 of file CompileCommands.cpp.

References ResourceDir, and Sysroot.

## ◆ detect()

CommandMangler clang::clangd::CommandMangler::detect | ( |  | ) |
| static

Definition at line 124 of file CompileCommands.cpp.

## ◆ forTests()

CommandMangler clang::clangd::CommandMangler::forTests | ( |  | ) |
| static

Definition at line 132 of file CompileCommands.cpp.

## ◆ operator clang::tooling::ArgumentsAdjuster()

clang::clangd::CommandMangler::operator clang::tooling::ArgumentsAdjuster | ( |  | ) |
| explicit

Definition at line 179 of file CompileCommands.cpp.

## Member Data Documentation

## ◆ ClangPath

llvm::Optional<std::string> clang::clangd::CommandMangler::ClangPath

Definition at line 27 of file CompileCommands.h.

## ◆ ResourceDir

llvm::Optional<std::string> clang::clangd::CommandMangler::ResourceDir

Definition at line 29 of file CompileCommands.h.

Referenced by adjust().

## ◆ Sysroot

llvm::Optional<std::string> clang::clangd::CommandMangler::Sysroot

Definition at line 31 of file CompileCommands.h.

Referenced by adjust().

The documentation for this struct was generated from the following files:

- CompileCommands.h
- CompileCommands.cpp